
From: Andrew Morton <akpm@osdl.org>

Older gcc's can't do that.

Cc: Mac Michaels <wmichaels1@earthlink.net>
Cc: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/lgdt3302.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/frontends/lgdt3302.c~dvb-lgdt3302-qam256-initialization-fix-fix drivers/media/dvb/frontends/lgdt3302.c
--- devel/drivers/media/dvb/frontends/lgdt3302.c~dvb-lgdt3302-qam256-initialization-fix-fix	2005-07-11 20:51:45.000000000 -0700
+++ devel-akpm/drivers/media/dvb/frontends/lgdt3302.c	2005-07-11 20:51:45.000000000 -0700
@@ -222,6 +222,8 @@ static int lgdt3302_set_parameters(struc
 
 	/* Change only if we are actually changing the modulation */
 	if (state->current_modulation != param->u.vsb.modulation) {
+		int value;
+
 		switch(param->u.vsb.modulation) {
 		case VSB_8:
 			dprintk("%s: VSB_8 MODE\n", __FUNCTION__);
@@ -276,7 +278,6 @@ static int lgdt3302_set_parameters(struc
 				       vsb_freq_cfg, sizeof(vsb_freq_cfg));
 		/* Set the value of 'INLVTHD' register 0x2a/0x2c
 		   to value from 'IFACC' register 0x39/0x3b -1 */
-		int value;
 		i2c_selectreadbytes(state, AGC_RFIF_ACC0,
 				    &agc_delay_cfg[1], 3);
 		value = ((agc_delay_cfg[1] & 0x0f) << 8) | agc_delay_cfg[3];
_
